# Object info

This endpoint retrieves a single ledger object identified by its Object ID from the XRP Ledger in its raw format.

{% hint style="info" %}
Some ledger objects have static Object IDs. These objects may be retrieved by their special object IDs.
{% endhint %}

<table data-full-width="false"><thead><tr><th width="165.33333333333331">Object ID</th><th>Object hash</th></tr></thead><tbody><tr><td><code>FeeSettings</code></td><td><code>4BC50C9B0D8515D3EAAE1E74B29A95804346C491EE1A95BF25E4AAB854A6A651</code></td></tr><tr><td><code>Amendments</code></td><td><code>7DB0788C020F02780A673DC74757F23823FA3014C1866E72CC4CD8B226CD6EF4</code></td></tr><tr><td><code>NegativeUNL</code></td><td><code>2E8A59AA9D3B5B186B0B9E0F62E6C02587CA74A4D778938E957B6357D364B244</code></td></tr><tr><td><code>LedgerHashes</code></td><td><code>B4979A36CDC7F3D3D5C31A4EAE2AC7D7209DDA877588B9AFC66799692AB0D66B</code></td></tr></tbody></table>

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/object/{OBJECT_ID}
```

{% endtab %}
{% endtabs %}

## Examples

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/object/587E28972F3B63D2260C0671E59593EE6C4D27AB857D1AF230F5CAA959BB3EAC
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Named objects" %}
`curl https://api.xrpscan.com/api/v1/object/FeeSettings`
{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "index": "587E28972F3B63D2260C0671E59593EE6C4D27AB857D1AF230F5CAA959BB3EAC",
  "ledger_hash": "B8FD3B7CBB118A6147C7A82B83D1215B73B6069D33727BD34CA3AF43298126A3",
  "ledger_index": 81520079,
  "node": {
    "Account": "rpx9JThQ2y37FaGeeJP7PXDUVEXY3PHZSC",
    "Balance": "88307934814",
    "Flags": 0,
    "LedgerEntryType": "AccountRoot",
    "OwnerCount": 0,
    "PreviousTxnID": "8C30B3C6F526334309C7F6DE1131EF94D987762375116E0C184F840F03DDA974",
    "PreviousTxnLgrSeq": 81520079,
    "Sequence": 75897829,
    "index": "587E28972F3B63D2260C0671E59593EE6C4D27AB857D1AF230F5CAA959BB3EAC"
  },
  "validated": true
}
```

{% endtab %}
{% endtabs %}

## Response format

Additional properties may be available in the response based on rippled `ledger_entry` command.

{% embed url="<https://xrpl.org/ledger_entry.html#response-format>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xrpscan.com/api-documentation/object/object-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
